CSPLIT(1)

NAVN
csplit - split a file into sections determined by context lines

OVERSIKT
csplit [VALG]... FIL MØNSTER...

BESKRIVELSE

Skriv ut deler av FIL, adskilt med MØNSTER(e) til filene «xx00», «xx01», osv., og skriv ut antall byte for hver del til standardutdata.

Programmet leser standard inndata hvis FIL er «-».

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-b, --suffix-format=FORMAT
    Bruk sprintf(3)-FORMAT i stedet for %02d.

-f, --prefix=PREFIKS
    Bruk PREFIKS i stedet for «xx».

-k, --keep-files
    Ikke slett opprettede filer ved feil.

--suppress-matched
    Utelat linjer som samsvarer med valgt MØNSTER.

-n, --digits=SIFFER
    Bruk valgt antall siffer isteden for 2.

-s, --quiet, --silent
    Ikke skriv ut utdata-filstørrelser.

-z, --elide-empty-files
    suppress empty output files

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

  MØNSTER må utformes slik:

INTEGER
    kopier frem til - men ikke inkludert - angitt linjenummer

/REGEXP/[OFFSET]
    kopier frem til - men ikke inkludert - en samsvarende linje

%REGEXP%[OFFSET]
    hopp frem til - men ikke inkludert - en samsvarende linje

{INTEGER}
    gjenta forrige mønster et gitt antall ganger

{*} gjenta forrige mønster så mange ganger som mulig

A line OFFSET is an integer optionally preceded by '+' or '-'

OPPHAVSMANN
Skrevet av Stuart Kemp og David MacKenzie.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2023 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/csplit>
eller lokalt: info '(coreutils) csplit invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.